Subject: Re: bug#41878: 'guix substitute' and 'guix pull' fail gracelessly on flaky networks
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], Quinten Gruenthal <[email-masked]>
Date: Tue, 18 Mar 2025 10:35:37 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Quinten Gruenthal <[email-masked]> skribis:
>
>> Yes and yes. I didn't state explicitly that it was a problem with my
>> network only because I didn't want to appear overconfident in my amateur
>> diagnosis and I definitely prefer the second error message to the one that
>> dumps a trace and prompts the filing of a bug. This:
>>
>> substitute: guix substitute: error: TLS error in procedure 'handshake':
>> Error in the pull function.
>
> I see.  I’ll take a look and see how we can improve on this.

I believe that's been fixed in commit
fa70c141552c76cf4dc9666f577bf6b471fa0d50 ("substitute: Reopen connection
upon “Error in the push function” from GnuTLS.").

Closing.

-- 
Thanks,
Maxim